Name: perl-DDL-Oracle
Summary: DDL generator for Oracle databases 
Group: Development/Tools
Version: 1.11
Release: 1%{?dist}
License: GPL+ or Artistic
Source0: http://search.cpan.org/CPAN/authors/id/R/RV/RVSUTHERL/DDL-Oracle-%{version}.tar.gz
URL: http://search.cpan.org/~rvsutherl/DDL-Oracle-1.11
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-build

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires: perl(ExtUtils::MakeMaker)

%define prefix %{buildroot}%{_prefix}

%description
A Perl tool to reverse engineer the DDL of Oracle objects from Oracle.

%prep
%setup -q -n DDL-Oracle-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} INSTALLDIRS=vendor
make OPTIMIZE="${RPM_OPT_FLAGS}"

%install
rm -rf %{buildroot}
make install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p README* %{buildroot}%{_datadir}/%{name}
find %{buildroot} -name "perllocal.pod" -exec rm -f {} ';'
find %{buildroot}%{perl_vendorarch} -name ".packlist" -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %attr(0755,root,root) %{_datadir}/%{name}
%dir %attr(0755,root,root) %{perl_vendorlib}/DDL
%attr(0644,root,root) %{perl_vendorlib}/DDL/Oracle.pm
%attr(0755,root,root) %{perl_vendorlib}/DDL/*.pl
%attr(0644,root,root) %{_datadir}/%{name}/README*
%attr(0644,root,root) %{_mandir}/man3/DDL*

%changelog
* Tue Jan 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 1.11-1
- initial packaging
